Package org.pentaho.reporting.libraries.formula.parser

# Class FormulaParser

java.lang.Object
org.pentaho.reporting.libraries.formula.parser.GeneratedFormulaParser
org.pentaho.reporting.libraries.formula.parser.FormulaParser

All Implemented Interfaces:
  `GeneratedFormulaParserConstants`

public class FormulaParser extends GeneratedFormulaParser

## Field Summary

### Fields inherited from class org.pentaho.reporting.libraries.formula.parser.GeneratedFormulaParser

`jj_nt, token, token_source`

### Fields inherited from interface org.pentaho.reporting.libraries.formula.parser.GeneratedFormulaParserConstants

`APPROXIMATE_NUMERIC_LITERAL, BINARY_DIGIT, COLON, COLUMN_LOOKUP, COMMA, CONCAT, DEFAULT, DIGIT, DIV, DQUOTE, EOF, EQUALS, EXACT_NUMERIC_LITERAL, EXPONENT_PART, GT, GT_EQUALS, HEX_DIGIT, IDENTIFIER, L_BRACE, L_BRACKET, L_PAREN, LETTER, LT, LT_EQUALS, MANTISSA, MINUS, MULT, NEWLINE, NON_ZERO_DIGIT, NONQUOTE_CHARACTER, NONQUOTE_LOOKUP, NOT_EQUALS, NULL, PERCENT, PERIOD, PIPE, PLUS, POW, QUEST, QUOTE, R_BRACE, R_BRACKET, R_PAREN, SEMICOLON, SIGN, STRING_LITERAL, tokenImage, UNSIGNED_INTEGER, UNSIGNED_NUMERIC_LITERAL, WHITESPACE`

## Constructor Summary

Constructors
Constructor
Description
`FormulaParser()`

## Method Summary

Modifier and Type
Method
Description
`ParseException`
`generateParseException()`
Generate ParseException.
`static void`
`main(String[] args)`
`LValue`
`parse(String formula)`

### Methods inherited from class org.pentaho.reporting.libraries.formula.parser.GeneratedFormulaParser

`disable_tracing, enable_tracing, getExpression, getInfixOperator, getLValue, getNextToken, getPostfixOperator, getPrefixOperator, getToken, parseArray, parseFunction, parseRow, ReInit, ReInit, ReInit, ReInit, startTail, trace_enabled`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FormulaParser

public FormulaParser()

## Method Details

### generateParseException

public ParseException generateParseException()
Description copied from class: `GeneratedFormulaParser`
Generate ParseException.

Overrides:
  `generateParseException` in class `GeneratedFormulaParser`

### parse

public LValue parse(String formula) throws ParseException

Throws:
  `ParseException`

### main

public static void main(String[] args) throws ParseException

Throws:
  `ParseException`